Monitor (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.igs.Monitor interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process.igs
Interface Monitor

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Monitor

extends LogicalElement, ConfigurationItem

Naming Rules:
  0="account,monitoringPackageName,monitorName"
Persistable:
  true
Table Name:
  IGSMONITOR
Top Level:
  true
Display Name:
  monitoringPackageName,monitorName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`Account` | `getAccount()`
`int` | `getAssociatedSeverity()`
`int` | `getFrequency()`
`java.lang.String` | `getMonitoredElement()`
`java.lang.String` | `getMonitoringPackageName()`
`java.lang.String` | `getMonitorName()`
`ManagementSoftwareSystem` | `getMSS()`
`java.lang.String` | `getThreshold()`
`boolean` | `hasAccount()`
`boolean` | `hasAssociatedSeverity()`
`boolean` | `hasFrequency()`
`boolean` | `hasMonitoredElement()`
`boolean` | `hasMonitoringPackageName()`
`boolean` | `hasMonitorName()`
`boolean` | `hasMSS()`
`boolean` | `hasThreshold()`
`void` | `setAccount(Account acct)`
`void` | `setAssociatedSeverity(int i)`
`void` | `setFrequency(int i)`
`void` | `setMonitoredElement(java.lang.String name)`
`void` | `setMonitoringPackageName(java.lang.String name)`
`void` | `setMonitorName(java.lang.String name)`
`void` | `setMSS(ManagementSoftwareSystem acct)`
`void` | `setThreshold(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getMSS

    ManagementSoftwareSystem getMSS()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMSS

    void setMSS(ManagementSoftwareSystem acct)

### hasMSS

    boolean hasMSS()

### getAccount

    Account getAccount()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="true"

### setAccount

    void setAccount(Account acct)

### hasAccount

    boolean hasAccount()

### getMonitoringPackageName

    java.lang.String getMonitoringPackageName()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMonitoringPackageName

    void setMonitoringPackageName(java.lang.String name)

### hasMonitoringPackageName

    boolean hasMonitoringPackageName()

### getMonitorName

    java.lang.String getMonitorName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMonitorName

    void setMonitorName(java.lang.String name)

### hasMonitorName

    boolean hasMonitorName()

### getMonitoredElement

    java.lang.String getMonitoredElement()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMonitoredElement

    void setMonitoredElement(java.lang.String name)

### hasMonitoredElement

    boolean hasMonitoredElement()

### getThreshold

    java.lang.String getThreshold()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setThreshold

    void setThreshold(java.lang.String s)

### hasThreshold

    boolean hasThreshold()

### getAssociatedSeverity

    int getAssociatedSeverity()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAssociatedSeverity

    void setAssociatedSeverity(int i)

### hasAssociatedSeverity

    boolean hasAssociatedSeverity()

### getFrequency

    int getFrequency()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFrequency

    void setFrequency(int i)

### hasFrequency

    boolean hasFrequency()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD